Loading...
Searching...
No Matches
Exiv2::Internal::TiffRwState Class Reference

Simple state class containing relevant state information for the TIFF reader. This is in a separate class so that the reader can change state if needed (e.g., to read certain complex makernotes). More...

`#include <tiffvisitor_int.hpp>`

## Public Member Functions

Creators
constexpr | TiffRwState (ByteOrder byteOrder, size_t baseOffset)
| Constructor.

## Accessors

ByteOrder | byteOrder () const
| Return the applicable byte order. May be different for the Makernote and the rest of the TIFF entries.
size_t | baseOffset () const
| Return the base offset.

## Detailed Description

Simple state class containing relevant state information for the TIFF reader. This is in a separate class so that the reader can change state if needed (e.g., to read certain complex makernotes).

## Member Function Documentation

## baseOffset()

size_t Exiv2::Internal::TiffRwState::baseOffset | ( |  | ) | const

inline nodiscard

Return the base offset.

TIFF standard format uses byte offsets which are always relative to the start of the TIFF file, i.e., relative to the start of the TIFF image header. In this case, the base offset is 0. However, some camera vendors encode their makernotes in TIFF IFDs using offsets relative to (somewhere near) the start of the makernote data. In this case, base offset added to the start of the TIFF image header points to the basis for such makernote offsets.

Referenced by Exiv2::Internal::TiffReader::setMnState(), and TiffRwState().

The documentation for this class was generated from the following file:

- tiffvisitor_int.hpp